List all alert routes for the current team with filtering and pagination. Note: This endpoint requires access to Advanced Alert Routing. If you’re unsure whether you have access to this feature, please contact Rootly customer support.
curl --request GET \
--url https://api.rootly.com/v1/alert_routes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "alert_routes",
"attributes": {
"name": "<string>",
"alerts_source_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": [
{
"name": "<string>",
"destinations": [
{
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"condition_groups": [
{
"conditions": [
{
"property_field_condition_type": "is_one_of",
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"position": 123
}
],
"position": 123,
"fallback_rule": true
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/alert_routes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "alert_routes",
"attributes": {
"name": "<string>",
"alerts_source_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": [
{
"name": "<string>",
"destinations": [
{
"target_type": "Service",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"condition_groups": [
{
"conditions": [
{
"property_field_condition_type": "is_one_of",
"property_field_type": "attribute",
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"position": 123
}
],
"position": 123,
"fallback_rule": true
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}